Skip to content

Get Audit Activity Timeline

GET
/api/v1/scaler/scalegroups/timeline/{scaler_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/timeline/{scaler_id}/?year=2026&month=6&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the audited user-action timeline for the group for a given month - who performed which management action (START, STOP, RESIZE, ATTACH_SG, ATTACH_VPC, ATTACH_PUBLIC_IP, UPDATE_POLICY, LAUNCH, and so on), when, from which client IP, and whether it succeeded. Filter with the required year and month query parameters.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
year
required
integer

Four-digit year to filter the timeline by.

Example

2026
month
required
integer

Month (1-12) to filter the timeline by.

Example

6
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Audited user-action timeline for the group for the requested month.

object
code
integer
data
Array<object>
object
timestamp
string
event
string
client_ip
string
details
string
operation_performed_by
string
performer_type
string
performer_name
string
status
boolean
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"timestamp": "Jan 15, 2026 09:37:01 AM",
"event": "ATTACH_SG",
"client_ip": "203.0.113.10",
"details": "ATTACH_SG(allow_all_traffic_delhi) performed on AutoScale Group web-autoscale-group",
"operation_performed_by": "user@example.com",
"performer_type": "primary_user",
"performer_name": "Example User",
"status": true
}
],
"message": "Success"
}